/**
 * The main entrypoint when using Deno as the runtime
 */
import { IRuntime } from '../common/types.ts';

export * from './terminal_io.ts';

export const onExit = (cb: () => void): void => {
	globalThis.addEventListener('onbeforeunload', cb);
};

const DenoRuntime: IRuntime = {
	onExit,
};

export default DenoRuntime;
