function esc(pieces: TemplateStringsArray): string {
	return '\x1b[' + pieces[0];
}

export const Ansi = {
	ClearLine: esc`K`,
	ClearScreen: esc`2J`,
	ResetCursor: esc`H`,
	HideCursor: esc`?25l`,
	ShowCursor: esc`?25h`,
	moveCursor: function moveCursor(row: number, col: number): string {
		return `\x1b[${row};${col}H`;
	},
};

export default Ansi;
