import { strlen } from '../utils.ts';

class Buffer {
	#b = '';

	constructor() {
	}

	append(s: string): void {
		this.#b += s;
	}

	appendLine(s: string): void {
		this.#b += s + '\r\n';
	}

	clear(): void {
		this.#b = '';
	}

	getBuffer(): string {
		return this.#b;
	}

	strlen(): number {
		return strlen(this.#b);
	}
}

export default Buffer;
